diff --git a/web/pgadmin/browser/server_groups/servers/databases/casts/static/js/cast.js b/web/pgadmin/browser/server_groups/servers/databases/casts/static/js/cast.js
index 97e689b..2e41ed6 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/casts/static/js/cast.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/casts/static/js/cast.js
@@ -209,15 +209,8 @@ define('pgadmin.node.cast', [
                 },
 
                  // On failure show error appropriate error message to user
-                error: function(xhr) {
-                  try {
-                    var err = $.parseJSON(xhr.responseText);
-                    if (err.success == 0) {
-                      alertify.error(err.errormsg);
-                    }
-                  } catch (e) {
-                    // Do nothing
-                  }
+                error: function(xhr, status, error) {
+                  alertify.pgRespErrorNotify(xhr, error);
                 },
               });
             }
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/synonyms/static/js/synonym.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/synonyms/static/js/synonym.js
index e97dd05..d0ecaab 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/synonyms/static/js/synonym.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/synonyms/static/js/synonym.js
@@ -163,15 +163,8 @@ define('pgadmin.node.synonym', [
               },
 
                   // On failure show error appropriate error message to user
-              error: function(xhr) {
-                try {
-                  var err = $.parseJSON(xhr.responseText);
-                  if (err.success == 0) {
-                    alertify.error(err.errormsg);
-                  }
-                } catch (e) {
-                  // Ignore
-                }
+              error: function(xhr, status, error) {
+                alertify.pgRespErrorNotify(xhr, error);
               },
             });
             return res;
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/check_constraint/static/js/check_constraint.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/check_constraint/static/js/check_constraint.js
index bf7ef55..857cf4c 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/check_constraint/static/js/check_constraint.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/check_constraint/static/js/check_constraint.js
@@ -73,15 +73,8 @@ define('pgadmin.node.check_constraint', [
                 setTimeout(function() {t.select(i);}, 100);
               }
             },
-            error: function(xhr) {
-              try {
-                var err = $.parseJSON(xhr.responseText);
-                if (err.success == 0) {
-                  alertify.error(err.errormsg);
-                }
-              } catch (e) {
-                console.warn(e.stack || e);
-              }
+            error: function(xhr, status, error) {
+              alertify.pgRespErrorNotify(xhr, error);
               t.unload(i);
             },
           });
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/static/js/foreign_key.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/static/js/foreign_key.js
index 4997d17..3c4b89f 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/static/js/foreign_key.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/static/js/foreign_key.js
@@ -665,15 +665,8 @@ define('pgadmin.node.foreign_key', [
                 setTimeout(function() {t.select(i);}, 100);
               }
             },
-            error: function(xhr) {
-              try {
-                var err = $.parseJSON(xhr.responseText);
-                if (err.success == 0) {
-                  Alertify.error(err.errormsg);
-                }
-              } catch (e) {
-                console.warn(e.stack || e);
-              }
+            error: function(xhr, status, error) {
+              Alertify.pgRespErrorNotify(xhr, error);
               t.unload(i);
             },
           });
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/partitions/static/js/partition.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/partitions/static/js/partition.js
index fd53f74..d807304 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/partitions/static/js/partition.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/partitions/static/js/partition.js
@@ -174,15 +174,8 @@ function(
                 }, 10);
               }
             },
-            error: function(xhr) {
-              try {
-                var err = $.parseJSON(xhr.responseText);
-                if (err.success == 0) {
-                  Alertify.error(err.errormsg);
-                }
-              } catch (e) {
-                console.warn(e.stack || e);
-              }
+            error: function(xhr, status, error) {
+              Alertify.pgRespErrorNotify(xhr, error);
               t.unload(i);
             },
           });
@@ -233,15 +226,8 @@ function(
                       }, 10);
                     }
                   },
-                  error: function(xhr) {
-                    try {
-                      var err = $.parseJSON(xhr.responseText);
-                      if (err.success == 0) {
-                        Alertify.error(err.errormsg);
-                      }
-                    } catch (e) {
-                      console.warn(e.stack || e);
-                    }
+                  error: function(xhr, status, error) {
+                    Alertify.pgRespErrorNotify(xhr, error);
                     t.unload(i);
                   },
                 });
@@ -283,15 +269,8 @@ function(
                       }, 10);
                     }
                   },
-                  error: function(xhr) {
-                    try {
-                      var err = $.parseJSON(xhr.responseText);
-                      if (err.success == 0) {
-                        Alertify.error(err.errormsg);
-                      }
-                    } catch (e) {
-                      console.warn(e.stack || e);
-                    }
+                  error: function(xhr, status, error) {
+                    Alertify.pgRespErrorNotify(xhr, error);
                     t.unload(i);
                   },
                 });
@@ -335,15 +314,8 @@ function(
                       }
                     }
                   },
-                  error: function(xhr) {
-                    try {
-                      var err = $.parseJSON(xhr.responseText);
-                      if (err.success == 0) {
-                        Alertify.error(err.errormsg);
-                      }
-                    } catch (e) {
-                      console.warn(e.stack || e);
-                    }
+                  error: function(xhr, status, error) {
+                    Alertify.pgRespErrorNotify(xhr, error);
                   },
                 });
               }
@@ -941,9 +913,8 @@ function(
                       );
                     }
                   },
-                  error: function(e) {
-                    var errmsg = $.parseJSON(e.responseText);
-                    Alertify.alert(gettext('Error fetching tables to be attached'), errmsg.errormsg);
+                  error: function(xhr, status, error) {
+                    Alertify.pgRespErrorNotify(xhr, error, gettext('Error fetching tables to be attached'));
                   },
                 });
               }
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/static/js/table.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/static/js/table.js
index 647d1bf..d440bf0 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/static/js/table.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/static/js/table.js
@@ -153,15 +153,8 @@ define('pgadmin.node.table', [
                 }, 10);
               }
             },
-            error: function(xhr) {
-              try {
-                var err = $.parseJSON(xhr.responseText);
-                if (err.success == 0) {
-                  Alertify.error(err.errormsg);
-                }
-              } catch (e) {
-                console.warn(e.stack || e);
-              }
+            error: function(xhr, status, error) {
+              Alertify.pgRespErrorNotify(xhr, error);
               t.unload(i);
             },
           });
@@ -212,15 +205,8 @@ define('pgadmin.node.table', [
                       }, 10);
                     }
                   },
-                  error: function(xhr) {
-                    try {
-                      var err = $.parseJSON(xhr.responseText);
-                      if (err.success == 0) {
-                        Alertify.error(err.errormsg);
-                      }
-                    } catch (e) {
-                      console.warn(e.stack || e);
-                    }
+                  error: function(xhr, status, error) {
+                    Alertify.pgRespErrorNotify(xhr, error);
                     t.unload(i);
                   },
                 });
@@ -262,15 +248,8 @@ define('pgadmin.node.table', [
                       }, 10);
                     }
                   },
-                  error: function(xhr) {
-                    try {
-                      var err = $.parseJSON(xhr.responseText);
-                      if (err.success == 0) {
-                        Alertify.error(err.errormsg);
-                      }
-                    } catch (e) {
-                      console.warn(e.stack || e);
-                    }
+                  error: function(xhr, status, error) {
+                    Alertify.pgRespErrorNotify(xhr, error);
                     t.unload(i);
                   },
                 });
@@ -302,15 +281,8 @@ define('pgadmin.node.table', [
                 t.select(i);
               }, 10);
             },
-            error: function(xhr) {
-              try {
-                var err = $.parseJSON(xhr.responseText);
-                if (err.success == 0) {
-                  Alertify.error(err.errormsg);
-                }
-              } catch (e) {
-                console.warn(e.stack || e);
-              }
+            error: function(xhr, status, error) {
+              Alertify.pgRespErrorNotify(xhr, error);
               t.unload(i);
             },
           });
@@ -1047,9 +1019,8 @@ define('pgadmin.node.table', [
                       );
                     }
                   },
-                  error: function(e) {
-                    var errmsg = $.parseJSON(e.responseText);
-                    Alertify.alert(gettext('Error fetching tables to be attached'), errmsg.errormsg);
+                  error: function(xhr, status, error) {
+                    Alertify.pgRespErrorNotify(xhr, error);
                   },
                 });
               }
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/static/js/trigger.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/static/js/trigger.js
index fbe7659..a2c2718 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/static/js/trigger.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/static/js/trigger.js
@@ -130,15 +130,8 @@ define('pgadmin.node.trigger', [
                 }, 10);
               }
             },
-            error: function(xhr) {
-              try {
-                var err = $.parseJSON(xhr.responseText);
-                if (err.success == 0) {
-                  alertify.error(err.errormsg);
-                }
-              } catch (e) {
-                console.warn(e.stack || e);
-              }
+            error: function(xhr, status, error) {
+              alertify.pgRespErrorNotify(xhr, error);
               t.unload(i);
             },
           });
@@ -175,15 +168,8 @@ define('pgadmin.node.trigger', [
                 }, 10);
               }
             },
-            error: function(xhr) {
-              try {
-                var err = $.parseJSON(xhr.responseText);
-                if (err.success == 0) {
-                  alertify.error(err.errormsg);
-                }
-              } catch (e) {
-                console.warn(e.stack || e);
-              }
+            error: function(xhr, status, error) {
+              alertify.pgRespErrorNotify(xhr, error, gettext('Disable trigger failed'));
               t.unload(i);
             },
           });
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/static/js/mview.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/static/js/mview.js
index 795bbfc..073ef5c 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/static/js/mview.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/static/js/mview.js
@@ -300,9 +300,8 @@ define('pgadmin.node.mview', [
               );
             }
           },
-          error: function(e) {
-            var errmsg = $.parseJSON(e.responseText);
-            Alertify.alert(gettext('Error refreshing view'), errmsg.errormsg);
+          error: function(xhr, status, error) {
+            Alertify.pgRespErrorNotify(xhr, error, gettext('Error refreshing view'));
           },
         });
 
diff --git a/web/pgadmin/browser/server_groups/servers/databases/static/js/database.js b/web/pgadmin/browser/server_groups/servers/databases/static/js/database.js
index 4d5d514..2da27a3 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/static/js/database.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/static/js/database.js
@@ -208,15 +208,8 @@ define('pgadmin.node.database', [
                     t.unload(i);
                   }
                 },
-                error: function(xhr) {
-                  try {
-                    var err = $.parseJSON(xhr.responseText);
-                    if (err.success == 0) {
-                      Alertify.error(err.errormsg);
-                    }
-                  } catch (e) {
-                    console.warn(e.stack || e);
-                  }
+                error: function(xhr, status, error) {
+                  Alertify.pgRespErrorNotify(xhr, error);
                   t.unload(i);
                 },
               });
diff --git a/web/pgadmin/browser/server_groups/servers/pgagent/static/js/pga_job.js b/web/pgadmin/browser/server_groups/servers/pgagent/static/js/pga_job.js
index 72fd1be..74c99a4 100644
--- a/web/pgadmin/browser/server_groups/servers/pgagent/static/js/pga_job.js
+++ b/web/pgadmin/browser/server_groups/servers/pgagent/static/js/pga_job.js
@@ -175,24 +175,8 @@ define('pgadmin.node.pga_job', [
           // 'pgagent.pga_job' table updated with current time to run the job
           // now.
           success: function() { t.unload(i); },
-          error: function(xhr) {
-            var error_msg = gettext('Unable to run pgagent job.');
-            if (xhr.readyState == 0) {
-              alertify.error(
-                gettext('Not connected to the server or the connection to the server has been closed.')
-              );
-            }
-            else {
-              if (_.isUndefined(xhr.responseText)) {
-                alertify.error(error_msg);
-              }
-              else {
-                var err = $.parseJSON(xhr.responseText);
-                if (err.success == 0) {
-                  alertify.error(err.errormsg);
-                }
-              }
-            }
+          error: function(xhr, status, error) {
+            alertify.pgRespErrorNotify(xhr, error);
             t.unload(i);
           },
         });
diff --git a/web/pgadmin/browser/server_groups/servers/static/js/server.js b/web/pgadmin/browser/server_groups/servers/static/js/server.js
index 375b0b6..2a18a46 100644
--- a/web/pgadmin/browser/server_groups/servers/static/js/server.js
+++ b/web/pgadmin/browser/server_groups/servers/static/js/server.js
@@ -217,15 +217,8 @@ define('pgadmin.node.server', [
                   t.unload(i);
                 }
               },
-              error: function(xhr) {
-                try {
-                  var err = $.parseJSON(xhr.responseText);
-                  if (err.success == 0) {
-                    Alertify.error(err.errormsg);
-                  }
-                } catch (e) {
-                  console.warn(e.stack || e);
-                }
+              error: function(xhr, status, error) {
+                Alertify.pgRespErrorNotify(xhr, error);
                 t.unload(i);
               },
             });
@@ -299,15 +292,8 @@ define('pgadmin.node.server', [
                     Alertify.error(res.data.result);
                   }
                 },
-                error: function(xhr) {
-                  try {
-                    var err = $.parseJSON(xhr.responseText);
-                    if (err.success == 0) {
-                      Alertify.error(err.errormsg);
-                    }
-                  } catch (e) {
-                    console.warn(e.stack || e);
-                  }
+                error: function(xhr, status, error) {
+                  Alertify.pgRespErrorNotify(xhr, error);
                   t.unload(i);
                 },
               });
@@ -342,15 +328,8 @@ define('pgadmin.node.server', [
                   success: function(res) {
                     Alertify.success(res.data.result, 10);
                   },
-                  error: function(xhr) {
-                    try {
-                      var err = $.parseJSON(xhr.responseText);
-                      if (err.success == 0) {
-                        Alertify.error(err.errormsg, 10);
-                      }
-                    } catch (e) {
-                      console.warn(e.stack || e);
-                    }
+                  error: function(xhr, status, error) {
+                    Alertify.pgRespErrorNotify(xhr, error);
                     t.unload(i);
                   },
                 });
@@ -520,15 +499,8 @@ define('pgadmin.node.server', [
                           Alertify.error(res.errormsg);
                         }
                       },
-                      error: function(xhr) {
-                        try {
-                          var err = $.parseJSON(xhr.responseText);
-                          if (err.success == 0) {
-                            Alertify.error(err.errormsg);
-                          }
-                        } catch (e) {
-                          console.warn(e.stack || e);
-                        }
+                      error: function(xhr, status, error) {
+                        Alertify.pgRespErrorNotify(xhr, error);
                       },
                     });
                   }
@@ -547,15 +519,8 @@ define('pgadmin.node.server', [
               }
               Alertify.changeServerPassword(d).resizeTo('40%','52%');
             },
-            error: function(xhr) {
-              try {
-                var err = $.parseJSON(xhr.responseText);
-                if (err.success == 0) {
-                  Alertify.error(err.errormsg);
-                }
-              } catch (e) {
-                console.warn(e.stack || e);
-              }
+            error: function(xhr, status, error) {
+              Alertify.pgRespErrorNotify(xhr, error);
             },
           });
 
@@ -590,15 +555,8 @@ define('pgadmin.node.server', [
                 }, 10);
               }
             },
-            error: function(xhr) {
-              try {
-                var err = $.parseJSON(xhr.responseText);
-                if (err.success == 0) {
-                  Alertify.error(err.errormsg);
-                }
-              } catch (e) {
-                console.warn(e.stack || e);
-              }
+            error: function(xhr, status, error) {
+              Alertify.pgRespErrorNotify(xhr, error);
               t.unload(i);
             },
           });
@@ -632,15 +590,8 @@ define('pgadmin.node.server', [
                 }, 10);
               }
             },
-            error: function(xhr) {
-              try {
-                var err = $.parseJSON(xhr.responseText);
-                if (err.success == 0) {
-                  Alertify.error(err.errormsg);
-                }
-              } catch (e) {
-                console.warn(e.stack || e);
-              }
+            error: function(xhr, status, error) {
+              Alertify.pgRespErrorNotify(xhr, error);
               t.unload(i);
             },
           });
diff --git a/web/pgadmin/browser/server_groups/servers/tablespaces/static/js/tablespace.js b/web/pgadmin/browser/server_groups/servers/tablespaces/static/js/tablespace.js
index 1dd02e6..d8371aa 100644
--- a/web/pgadmin/browser/server_groups/servers/tablespaces/static/js/tablespace.js
+++ b/web/pgadmin/browser/server_groups/servers/tablespaces/static/js/tablespace.js
@@ -285,15 +285,8 @@ define('pgadmin.node.tablespace', [
                               Alertify.error(res.errormsg);
                             }
                           },
-                          error: function(xhr) {
-                            try {
-                              var err = $.parseJSON(xhr.responseText);
-                              if (err.success == 0) {
-                                Alertify.error(err.errormsg);
-                              }
-                            } catch (e) {
-                              console.warn(e.stack || e);
-                            }
+                          error: function(xhr, status, error) {
+                            Alertify.pgRespErrorNotify(xhr, error);
                           },
                         });
                       },
diff --git a/web/pgadmin/browser/static/js/browser.js b/web/pgadmin/browser/static/js/browser.js
index 897d270..14640ae 100644
--- a/web/pgadmin/browser/static/js/browser.js
+++ b/web/pgadmin/browser/static/js/browser.js
@@ -691,13 +691,8 @@ define('pgadmin.browser', [
           modifyAnimation.modifyAcitreeAnimation(self);
           modifyAnimation.modifyAlertifyAnimation(self);
         },
-        error: function(xhr) {
-          try {
-            var err = $.parseJSON(xhr.responseText);
-            Alertify.alert(gettext('Preference loading failed.'),
-              err.errormsg
-            );
-          } catch (e) { console.warn(e.stack || e); }
+        error: function(xhr, status, error) {
+          Alertify.pgRespErrorNotify(xhr, error);
         },
       });
     },
@@ -1826,13 +1821,8 @@ define('pgadmin.browser', [
               }
               fetchNodeInfo(_callback);
             },
-            error: function(xhr) {
-              try {
-                var err = $.parseJSON(xhr.responseText);
-                if (err.success == 0) {
-                  Alertify.error(err.errormsg);
-                }
-              } catch (e) { console.warn(e.stack || e); }
+            error: function(xhr, status, error) {
+              Alertify.pgRespErrorNotify(xhr, error);
               fetchNodeInfo(_callback);
             },
           });
diff --git a/web/pgadmin/dashboard/static/js/dashboard.js b/web/pgadmin/dashboard/static/js/dashboard.js
index e4f0dd5..686cbf2 100644
--- a/web/pgadmin/dashboard/static/js/dashboard.js
+++ b/web/pgadmin/dashboard/static/js/dashboard.js
@@ -97,15 +97,8 @@ define('pgadmin.dashboard', [
                 Alertify.error(txtError);
               }
             },
-            error: function(xhr) {
-              try {
-                var err = $.parseJSON(xhr.responseText);
-                if (err.success == 0) {
-                  Alertify.error(err.errormsg);
-                }
-              } catch (e) {
-                console.warn(e.stack || e);
-              }
+            error: function(xhr, status, error) {
+              Alertify.pgRespErrorNotify(xhr, error);
             },
           });
         },
diff --git a/web/pgadmin/static/js/alertify.pgadmin.defaults.js b/web/pgadmin/static/js/alertify.pgadmin.defaults.js
index cf2dd16..887d08f 100644
--- a/web/pgadmin/static/js/alertify.pgadmin.defaults.js
+++ b/web/pgadmin/static/js/alertify.pgadmin.defaults.js
@@ -139,6 +139,45 @@ define([
     ).set('title', promptmsg).set('closable', true);
   };
 
+  alertify.pgRespErrorNotify = (xhr, error, prefixMsg='') => {
+    var contentType = xhr.getResponseHeader('Content-Type');
+    try {
+      if (xhr.status === 0) {
+        error = gettext('Connection to the server has been lost.');
+      } else {
+        if(contentType){
+          if(contentType.indexOf('application/json') >= 0) {
+            var resp = JSON.parse(xhr.responseText);
+            error = _.escape(resp.result) || _.escape(resp.errormsg) || gettext('Unknown error');
+          }
+        }
+        if (contentType.indexOf('text/html') >= 0) {
+          var alertMessage = '\
+                <div class="media font-red-3 text-14">\
+                  <div class="media-body media-middle">\
+                    <div class="alert-text">' + gettext('INTERNAL SERVER ERROR') + '</div><br/>\
+                    <div class="alert-text">' + gettext('Click for details.') + '</div>\
+                  </div>\
+                </div>';
+
+          alertify.notify(
+            alertMessage, 'error', 0, () => {
+              alertify.pgIframeDialog()
+                .show()
+                .set({frameless: false})
+                .set('pg_msg', xhr.responseText);
+            }
+          );
+          return;
+        }
+      }
+    }
+    catch(e){
+      error = e.message;
+    }
+    alertify.error(prefixMsg +' '+error);
+  };
+
   var alertifyDialogResized = function(stop) {
     var self = this;
 
diff --git a/web/regression/javascript/alerts/alertify_wrapper_spec.js b/web/regression/javascript/alerts/alertify_wrapper_spec.js
index 88b9306..4b23d30 100644
--- a/web/regression/javascript/alerts/alertify_wrapper_spec.js
+++ b/web/regression/javascript/alerts/alertify_wrapper_spec.js
@@ -7,6 +7,9 @@
 //
 //////////////////////////////////////////////////////////////////////////
 import alertify from 'pgadmin.alertifyjs';
+import * as $ from 'jquery';
+import gettext from 'sources/gettext';
+
 
 describe('alertify_wrapper', function () {
   describe('success', function () {
@@ -34,4 +37,81 @@ describe('alertify_wrapper', function () {
       expect(calledWithMessage).toContain('class="fa fa-exclamation-triangle"');
     });
   });
+
+  describe('pgRespErrorNotify', () => {
+    it('calls error notifier which alertifies response error for ajax calls', () => {
+
+      $.ajax({
+        url: 'http://some/dummy/url',
+        dataType: 'json',
+        error: function(xhr, status, error) {
+
+          spyOn(alertify, 'orig_error').and.callThrough();
+          spyOn(alertify, 'notify').and.callThrough();
+
+          /*When connection lost*/
+          xhr.status = 0;
+          alertify.pgRespErrorNotify(xhr, error);
+          expect(alertify.orig_error).toHaveBeenCalled();
+          expect(alertify.orig_error.calls.mostRecent().args[0]).toContain(
+            gettext('Connection to the server has been lost.')
+          );
+
+
+          /*When some exception occurs at back end*/
+          xhr.status = 4;
+          var orig_getResponseHeader = xhr.getResponseHeader;
+
+          /*Exception handled by back end*/
+          xhr.getResponseHeader = (header) => {
+            if(header === 'Content-Type') {
+              return 'application/json';
+            }
+            else {
+              return orig_getResponseHeader(header);
+            }
+
+          };
+          xhr.responseText = '{"errormsg":"Exception XYZ"}';
+          alertify.pgRespErrorNotify(xhr, error);
+          expect(alertify.orig_error).toHaveBeenCalled();
+          expect(alertify.orig_error.calls.mostRecent().args[0]).toContain(
+            gettext('Exception XYZ')
+          );
+
+          /*Exception not handled by back end*/
+          xhr.getResponseHeader = (header) => {
+            if(header === 'Content-Type') {
+              return 'text/html';
+            }
+            else {
+              return orig_getResponseHeader(header);
+            }
+          };
+          xhr.responseText = '<p>Some Exception Occurred</p>';
+          alertify.pgRespErrorNotify(xhr, error);
+          expect(alertify.notify).toHaveBeenCalled();
+          expect(alertify.notify.calls.mostRecent().args[0]).toContain(
+            gettext('INTERNAL SERVER ERROR')
+          );
+
+          /*With prefixMsg*/
+          xhr.getResponseHeader = (header) => {
+            if(header === 'Content-Type') {
+              return 'application/json';
+            }
+            else {
+              return orig_getResponseHeader(header);
+            }
+          };
+          xhr.responseText = '{"errormsg":"Exception XYZ"}';
+          alertify.pgRespErrorNotify(xhr, error, gettext('Some prefix message'));
+          expect(alertify.orig_error).toHaveBeenCalled();
+          expect(alertify.orig_error.calls.mostRecent().args[0]).toContain(
+            gettext('Some prefix message')
+          );
+        },
+      });
+    });
+  });
 });
